Cantera 2.6.0

Public Member Functions | List of all members
ArrheniusData Struct Reference

Data container holding shared data specific to ArrheniusRate. More...

`#include <Arrhenius.h>`

Inheritance diagram for ArrheniusData:
[legend]
Collaboration diagram for ArrheniusData:
[legend]

## Public Member Functions
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)
| Update data container based on thermodynamic phase state. More...
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
Public Member Functions inherited from ReactionData
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
void | perturbTemperature (double deltaT)
| Perturb temperature of data container. More...
virtual void | restore ()
| Restore data container after a perturbation. More...
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases. More...
virtual void | invalidateCache ()
| Force shared data and reaction rates to be updated next time. More...

## Additional Inherited Members
Public Attributes inherited from ReactionData
double | temperature
| temperature More...
double | logT
| logarithm of temperature More...
double | recipT
| inverse of temperature More...
Protected Attributes inherited from ReactionData
double | m_temperature_buf
| buffered temperature More...

## Detailed Description

Data container holding shared data specific to ArrheniusRate.

The data container `ArrheniusData` holds precalculated data common to all `ArrheniusRate` objects.

Definition at line 29 of file Arrhenius.h.

## Member Function Documentation

## ◆ update() [1/5]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Definition at line 162 of file Arrhenius.cpp.

## ◆ update() [2/5]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 35 of file ReactionData.h.

## ◆ update() [3/5]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 47 of file ReactionData.h.

## ◆ update() [4/5]

virtual void update | ( | double | T,
|  | const vector_fp & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Definition at line 61 of file ReactionData.h.

## ◆ update() [5/5]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

The documentation for this struct was generated from the following files:

- Arrhenius.h
- Arrhenius.cpp